<div
  class="explore-wrapper"
  [ngClass]="{ mobileSearch: isMobileResolution == true }"
>
  <div class="explore-header container-lg sticky-top">
    <div class="row">
      <!-- (click)="handleBackClick($event)" -->
      <div class="col-12 explore-title search-heading">
        <a class="header-action" (click)="handleOnBlurSearch($event)"
          ><img src="assets/icons/icon-arrow.png" alt=""
        /></a>
        <div class="header-title"><span>{{strings?.searchPlaceholder}}</span></div>
      </div>
      <div
        class="col-12 explore-title"
        [ngClass]="{ 'd-none': isMobileResolution == true }"
      >
        <h1>Browse</h1>
      </div>
      <div class="col-12 explore-tabs">
        <app-nav-tabs [tabs]="exploreTabs"></app-nav-tabs>
      </div>
    </div>
    <div class="separator" style="width: 100%; height: 1rem"></div>
    <div class="row justify-content-center">
      <div class="col-12 col-lg-8 explore-search">
        <div class="row">
          <div class="col">
            <app-search-field
            [placeholder]="strings.searchPlaceholder"
            (onSearchChange)="handleSearchChange($event)"
            [searchInput]="searchInput"
            (click)="handleSearchClick($event)"
          ></app-search-field>
          </div>
          <div class="col-auto sort-filter-wrapper d-md-none" (click)="navigateToAllStocks()"><button class="btn"><img src="assets/icons/icon-sort.png"><span>Advance Search</span></button></div>
        </div>

        <div
          *ngIf="searchBlock"
          (click)="handleOnBlurSearch($event)"
          class="backdrop d-block d-md-none"
          style="position: fixed; left: 0; top: 0; bottom: 0; right: 0;  background-color: #000;opacity: 0.5;"
        ></div>
        <div 
        *ngIf="searchBlock"
        (click)="handleOnBlurSearch($event)"
        class="backdrop d-none d-md-block"
        style="position: fixed; left: 0; top: 0; bottom: 0; right: 0;  background-color: rgba(0, 0, 0, 0);opacity: 0.5;"
      ></div>
        <div class="search-block" *ngIf="searchBlock">
          <div class="card">
            <div class="card-body">
              <!-- <app-nav-tabs [tabs]="searchCategoryTabs"></app-nav-tabs> -->
              <!-- <br> -->
              <div
                class="row mb-4"
                *ngFor="let result of searchedResults"
                (click)="handleStockNavigate(result?.company_id)"
              >
                <div class="col-auto px-2">
                  <a>
                    <span class="text">{{ result?.symbol }}</span>
                  </a>
                </div>
                <div class="col px-2">
                  <a>
                    <span class="sub-text">{{ result?.name }}</span>
                  </a>
                </div>
                <div class="col-auto text-right px-2">
                  <a>
                    <span class="text">Stocks</span>
                  </a>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="separator" style="width: 100%; height: 1rem"></div>
    </div>
  </div>

  <div class="explore-body">
    <ng-content></ng-content>
  </div>
</div>
